## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesParserLiaison.hpp File Reference

Include dependency graph for XercesParserLiaison.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct XercesParserLiaison::DocumentEntry
- class XercesParserLiaison

## Defines

- #define XercesPARSERLIAISON_HEADER_GUARD_1357924680

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  SAXParseException SAXParseExceptionType

## Functions

- XALAN_DECLARE_XERCES_CLASS (DOMParser) XALAN_DECLARE_XERCES_CLASS(SAXParser) XALAN_CPP_NAMESPACE_BEGIN class DOMSupport
    This class is deprecated. More...

## Define Documentation

#define XercesPARSERLIAISON_HEADER_GUARD_1357924680

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER SAXParseException SAXParseExceptionType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | DOMParser )

This class is deprecated.

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.